Bug 6291 - Change of hostname by initscript
: Change of hostname by initscript
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-21 13:08 by
Modified: 2005-08-30 15:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-21 13:08:53
В /etc/rc.d/init.d/httpd2 имеются следующие строчки:

### Hack for bad hostname configuration
thehost=`hostname`
hostname -i 1>/dev/null 2>/dev/null|| hostname localhost

Необходимость изменение имени хоста в данном скрипте вызывает сомнение...
Действительно ли это надо здесь? Может, просто выводить сообщение с
предупреждением? или хотя-бы не делать этого из коробки, а сделать
кофигурабельным, например в /etc/sysconfig/httpd2... Хотя, лучше, наверно, все
же просто предупреждение показывать...
------- Comment #1 From 2005-04-19 20:13:09 -------
Fixed in 2.0.54.alt1